"use strict";
const common_vendor = require("../../../../common/vendor.js");
const ME_emergency_show_model = require("../model.js");
if (!Array) {
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_up_steps_item2 = common_vendor.resolveComponent("up-steps-item");
  const _easycom_up_steps2 = common_vendor.resolveComponent("up-steps");
  (_easycom_hs_empty2 + _easycom_up_steps_item2 + _easycom_up_steps2)();
}
const _easycom_hs_empty = () => "../../../../components/hs-empty/hs-empty.js";
const _easycom_up_steps_item = () => "../../../../node-modules/uview-plus/components/u-steps-item/u-steps-item.js";
const _easycom_up_steps = () => "../../../../node-modules/uview-plus/components/u-steps/u-steps.js";
if (!Math) {
  (_easycom_hs_empty + MyModalShow + _easycom_up_steps_item + _easycom_up_steps)();
}
const MyModalShow = () => "./ModalShow.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "ProcessLogs",
  setup(__props) {
    const handlePreview = (index, list) => {
      common_vendor.index.previewImage({
        urls: list == null ? void 0 : list.map((i) => (i == null ? void 0 : i.url) || ""),
        current: index
      });
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k;
      return common_vendor.e({
        a: !((_c = (_b = (_a = common_vendor.unref(ME_emergency_show_model.useModel)) == null ? void 0 : _a.logsData) == null ? void 0 : _b.value) == null ? void 0 : _c.length)
      }, !((_f = (_e = (_d = common_vendor.unref(ME_emergency_show_model.useModel)) == null ? void 0 : _d.logsData) == null ? void 0 : _e.value) == null ? void 0 : _f.length) ? {
        b: common_vendor.p({
          height: "20vh"
        })
      } : {}, {
        c: common_vendor.f((_h = (_g = common_vendor.unref(ME_emergency_show_model.useModel)) == null ? void 0 : _g.logsData) == null ? void 0 : _h.value, (i, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(i == null ? void 0 : i.node_name),
            b: (i == null ? void 0 : i.content) || (i == null ? void 0 : i.handled_result)
          }, (i == null ? void 0 : i.content) || (i == null ? void 0 : i.handled_result) ? {
            c: common_vendor.t((i == null ? void 0 : i.content) || (i == null ? void 0 : i.handled_result) || "-")
          } : {}, {
            d: i == null ? void 0 : i.introspection
          }, (i == null ? void 0 : i.introspection) ? {
            e: common_vendor.t(i == null ? void 0 : i.introspection)
          } : {}, {
            f: i == null ? void 0 : i.old_data
          }, (i == null ? void 0 : i.old_data) ? {
            g: "37b5e05d-3-" + i0 + "," + ("37b5e05d-2-" + i0),
            h: common_vendor.p({
              data: i == null ? void 0 : i.old_data
            })
          } : {}, {
            i: common_vendor.f(i == null ? void 0 : i.attachments, (k, index2, i1) => {
              return {
                a: k == null ? void 0 : k.url,
                b: `attachment_${index2}`,
                c: common_vendor.o(($event) => handlePreview(index2, i == null ? void 0 : i.attachments), `attachment_${index2}`)
              };
            }),
            j: common_vendor.t(i == null ? void 0 : i.created_at),
            k: `log_item_${index}`,
            l: "37b5e05d-2-" + i0 + ",37b5e05d-1"
          });
        }),
        d: common_vendor.p({
          direction: "column",
          dot: true,
          current: ((_k = (_j = (_i = common_vendor.unref(ME_emergency_show_model.useModel)) == null ? void 0 : _i.logsData) == null ? void 0 : _j.value) == null ? void 0 : _k.length) - 1
        })
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-37b5e05d"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/emergency/show/components/ProcessLogs.vue"]]);
wx.createComponent(Component);
